# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Seacas/SEACASExodus_for clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "SEACASExodus_for requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Seacas/SEACASExodus_for build
## ---------------------------------------------------------------------------

set(SEACASExodus_for_CXX_COMPILER "C:/M/msys64/mingw64/bin/g++.exe")

set(SEACASExodus_for_C_COMPILER "C:/M/msys64/mingw64/bin/gcc.exe")

set(SEACASExodus_for_Fortran_COMPILER "C:/M/msys64/mingw64/bin/gfortran.exe")
# Deprecated!
set(SEACASExodus_for_FORTRAN_COMPILER "C:/M/msys64/mingw64/bin/gfortran.exe") 


## ---------------------------------------------------------------------------
## Compiler flags used by Seacas/SEACASExodus_for build
## ---------------------------------------------------------------------------

## Give the build type
set(SEACASExodus_for_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(SEACASExodus_for_CXX_FLAGS [[ ]])

set(SEACASExodus_for_C_FLAGS [[  -Wall -Wunused  -Wshadow -std=c11 ]])

set(SEACASExodus_for_Fortran_FLAGS [[ ]])
# Deprecated
set(SEACASExodus_for_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(SEACASExodus_for_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(SEACASExodus_for_SHARED_LIB_RPATH_COMMAND "/mingw64/lib")
set(SEACASExodus_for_BUILD_SHARED_LIBS "YES")

set(SEACASExodus_for_LINKER C:/M/msys64/mingw64/bin/ld.exe)
set(SEACASExodus_for_AR C:/M/msys64/mingw64/bin/ar.exe)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(SEACASExodus_for_INSTALL_DIR "/mingw64")

## List of package libraries
set(SEACASExodus_for_LIBRARIES SEACASExodus_for::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(SEACASExodus_for_MPI_LIBRARIES "")
set(SEACASExodus_for_MPI_LIBRARY_DIRS "")
set(SEACASExodus_for_MPI_INCLUDE_DIRS "")
set(SEACASExodus_for_MPI_EXEC "")
set(SEACASExodus_for_MPI_EXEC_MAX_NUMPROCS "")
set(SEACASExodus_for_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(SEACASExodus_for_ENABLE_SEACASExodus ON)
set(SEACASExodus_for_ENABLE_Netcdf ON)

# Exported cache variables
set(SEACAS_ENABLE_DEBUG "OFF")
set(HAVE_SEACAS_DEBUG "OFF")
set(SEACASExodus_ENABLE_THREADSAFE "YES")
set(EXODUS_THREADSAFE "ON")
set(SEACASIoss_ENABLE_THREADSAFE "OFF")
set(IOSS_THREADSAFE "OFF")

# Include configuration of dependent packages
if (NOT TARGET SEACASExodus::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../SEACASExodus/SEACASExodusConfig.cmake")
endif()
if (NOT TARGET Netcdf::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../../external_packages/Netcdf/NetcdfConfig.cmake")
endif()

# Import SEACASExodus_for targets
include("${CMAKE_CURRENT_LIST_DIR}/SEACASExodus_forTargets.cmake")

# Standard TriBITS-compliant external package variables
set(SEACASExodus_for_IS_TRIBITS_COMPLIANT TRUE)
set(SEACASExodus_for_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(SEACASExodus_for_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(SEACASExodus_for_EXPORTED_PACKAGE_LIBS_NAMES "exodus_for")

foreach(libname IN LISTS SEACASExodus_for_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE SEACASExodus_for::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Seacas', then use the"
      " new namespaced target 'SEACASExodus_for::${libname}', or better yet,"
      " 'SEACASExodus_for::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'SEACASExodus_for'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Seacas', instead link against the"
      " libraries specified by the variable 'SEACASExodus_for_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
